Skip to main content

Labels

List Labels

GET/api/v1/mail/labels
curl "https://spideriq.ai/api/v1/mail/labels" \
-H "Authorization: Bearer <client_id>:<api_key>:<api_secret>"
{
"success": true,
"labels": [
{ "id": 1, "name": "hot-lead", "color": "#EF4444" },
{ "id": 2, "name": "followup", "color": "#3B82F6" }
]
}

Create Label

POST/api/v1/mail/labels
curl -X POST "https://spideriq.ai/api/v1/mail/labels" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <client_id>:<api_key>:<api_secret>" \
-d '{ "name": "hot-lead", "color": "#EF4444" }'

Update Label

PATCH/api/v1/mail/labels/{id}
curl -X PATCH "https://spideriq.ai/api/v1/mail/labels/1" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <client_id>:<api_key>:<api_secret>" \
-d '{ "color": "#F97316" }'

Delete Label

DELETE/api/v1/mail/labels/{id}

Returns 204 No Content.